RDKit: RDKit::CachedSmilesMolHolder Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::CachedSmilesMolHolder Class Reference

Concrete class that holds smiles strings in memory. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::CachedSmilesMolHolder:

## Public Member Functions
| CachedSmilesMolHolder ()
virtual unsigned int | addMol (const ROMol &m)
unsigned int | addSmiles (const std::string &smiles)
virtual boost::shared_ptr< ROMol > | getMol (unsigned int idx) const
virtual unsigned int | size () const
| Get the current library size. More...
Public Member Functions inherited from RDKit::MolHolderBase
virtual | ~MolHolderBase ()

## Detailed Description

Concrete class that holds smiles strings in memory.

This implementation uses quite a bit less memory than the cached binary or uncached implementation. However, due to the reduced speed it should be used in conjunction with a pattern fingerprinter.

See RDKit::FPHolder

Definition at line 141 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

RDKit::CachedSmilesMolHolder::CachedSmilesMolHolder | ( |  | ) |
| inline

Definition at line 145 of file SubstructLibrary.h.

## Member Function Documentation

virtual unsigned int RDKit::CachedSmilesMolHolder::addMol | ( | const ROMol & | m | ) |
| inlinevirtual

Add a new molecule to the substructure search library Returns the molecules index in the library

Implements RDKit::MolHolderBase.

Definition at line 147 of file SubstructLibrary.h.

References RDKit::MolToSmiles(), and RDKit::MolHolderBase::size().

unsigned int RDKit::CachedSmilesMolHolder::addSmiles | ( | const std::string & | smiles | ) |
| inline

Add a smiles to the dataset, no validation is done to the inputs.

Definition at line 155 of file SubstructLibrary.h.

References RDKit::MolHolderBase::size().

virtual boost::shared_ptr<ROMol> RDKit::CachedSmilesMolHolder::getMol | ( | unsigned int | idx | ) | const
| inlinevirtual

Implements RDKit::MolHolderBase.

Definition at line 160 of file SubstructLibrary.h.

References RDKit::SmilesToMol().

virtual unsigned int RDKit::CachedSmilesMolHolder::size | ( |  | ) | const
| inlinevirtual

Get the current library size.

Implements RDKit::MolHolderBase.

Definition at line 168 of file SubstructLibrary.h.

The documentation for this class was generated from the following file:

- SubstructLibrary.h